package com.huimv.environment;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableScheduling
//自动格式化返回时间
@EnableJpaAuditing
// 多数据源
@SpringBootApplication(exclude = DruidDataSourceAutoConfigure.class)
//@SpringBootApplication
public class HuimvEnvironmentApplication {

    public static void main(String[] args) {
        SpringApplication.run(HuimvEnvironmentApplication.class, args);
    }

}
