package com.huimv.environment.controller;

import com.huimv.common.result.Result;
import com.huimv.environment.entity.IndexEnvEntity;
import com.huimv.environment.service.IndexEnvService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.environment.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/8 0008 14:59
 **/
@RestController
@RequestMapping("/env")
public class IndexEnvController {

    @Autowired
    private IndexEnvService envService;

    @RequestMapping("/add")
    public Result add(IndexEnvEntity BoardEntity){
        return envService.add(BoardEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return envService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(IndexEnvEntity BoardEntity){
        return envService.update(BoardEntity);
    }

    @RequestMapping("/findAll")
    public Result findAll(){
        return envService.findAll();
    }
}
