package com.huimv.environment.controller;

import com.alibaba.fastjson.JSONObject;
import com.huimv.environment.entity.IndexParameter2Entity;
import com.huimv.environment.entity.WarningParameter;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/5/31 19:06
 */
public class MainTest {

    public static void main(String[] args) {

        RestTemplate restTemplate = new RestTemplate();

        HttpHeaders headers = new HttpHeaders();
        MediaType type = MediaType.parseMediaType("application/json;charset=UTF-8");
        headers.setContentType(type);
        headers.add("Accept", MediaType.APPLICATION_JSON.toString());
        List<IndexParameter2Entity> list = new ArrayList<>();
        List<IndexParameter2Entity> list2 = new ArrayList<>();
        IndexParameter2Entity entity = new IndexParameter2Entity();
        entity.setName("PSY1");
        entity.setData("25.0");
        list.add(entity);

        IndexParameter2Entity entity2 = new IndexParameter2Entity();
        entity2.setName("总存栏量1");
        entity2.setData("10000");
        list2.add(entity2);

        HashMap<String, List<IndexParameter2Entity>> param = new HashMap<>();
        param.put("saveList",list);
        param.put("updateList",list2);

//        WarningParameter warningParameter = new WarningParameter();
//        warningParameter.setParameterName("PSY");
//        warningParameter.setThresholdValue(25.0);
//        list.add(warningParameter);

//        String belowThresholdList = JSONObject.toJSONString(list);
        HttpEntity httpEntity = new HttpEntity<>(param, headers);
        restTemplate.postForObject("http://127.0.0.1:8085/productDataHandle/handleLocalWarningInfo", httpEntity, String.class);
    }
}
