package com.huimv.environment.repo;

import com.huimv.environment.entity.WarningParameter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface WarningParameterRepository extends JpaRepository<WarningParameter, Integer>,JpaSpecificationExecutor<WarningParameter>{
	
	@Query(nativeQuery = true ,value = "select * from warning_parameter where parameter_name like %?1% limit ?2 , ?3")
	List<WarningParameter> findAll(String name, Integer startPage, Integer pageSize);
}
