package com.huimv.production;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.web.client.RestTemplate;

/**
 * @author huimv
 * @since 2021/5/31 18:21
 */
@SpringBootApplication
@EnableJpaAuditing
public class HuimvProductionApplication {

    public static void main(String[] args) {
        SpringApplication.run(HuimvProductionApplication.class, args);
    }

    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

}
