package com.huimv.production.controller;

import com.huimv.production.domain.BaoyvCount;
import com.huimv.production.result.Result;
import com.huimv.production.service.BaoyvCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/BaoyvCount")
public class BaoyvCountController {

	@Autowired
	private BaoyvCountService service;

	@RequestMapping("/add")
	public Result add(BaoyvCount childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(BaoyvCount childcareEntity){ return service.update(childcareEntity); }


	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}


	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


}
