package com.huimv.production.controller;

import com.huimv.production.domain.MOperationAnalysis;
import com.huimv.production.result.Result;
import com.huimv.production.service.MOperationAnalysisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/operationAnalysis")
public class MOperationAnalysisController {

	@Autowired
	private MOperationAnalysisService service;

	@RequestMapping("/add")
	public Result add(MOperationAnalysis entity){ return service.add(entity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MOperationAnalysis entity){ return service.update(entity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(){
		return service.findAll();
	}

}
