package com.huimv.production.controller;

import com.huimv.production.domain.SowCount;
import com.huimv.production.result.Result;
import com.huimv.production.service.SowCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/SowCount")
public class SowCountController {

	@Autowired
	private SowCountService service;

	@RequestMapping("/add")
	public Result add(SowCount childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(SowCount childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

@RequestMapping("/findAllById")
public Result findAllById(Integer id){ return service.findAllById(id); }

}
