package com.huimv.production.controller;

import com.huimv.production.domain.SysAccount;
import com.huimv.production.result.Result;
import com.huimv.production.service.SysAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/SysAccount")
public class SysAccountController {

	@Autowired
	private SysAccountService service;

	@RequestMapping("/add")
	public Result add(SysAccount childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(SysAccount childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

}
