package com.huimv.production.controller;


import com.huimv.production.domain.WarningParameter;
import com.huimv.production.result.Result;
import com.huimv.production.service.WarningParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/warningParameter")
public class WarningParameterController {

    @Autowired
    private WarningParameterService service;

    @RequestMapping("/add")
    public Result add(WarningParameter entity) {
        return service.add(entity);
    }

    @RequestMapping("/remove")
    public Result remove(Integer[] ids) {
        return service.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(WarningParameter entity) {
        return service.update(entity);
    }

    @RequestMapping("/findAllById")
    public Result findAllById(Integer id) {
        return service.findAllById(id);
    }


    @RequestMapping("/findAll")
    public Result findAll(String name, Integer pageNum, Integer pageSize) {
        return service.findAll(name, pageNum, pageSize);
    }


}
