package com.huimv.production.repo;

import com.huimv.production.domain.IndexParameter2;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexParameter2Repository extends JpaRepository<IndexParameter2, Integer>,JpaSpecificationExecutor<IndexParameter2>{
	
	@Query(nativeQuery = true ,value = "select * from index_parameter2 where name like %?1% limit ?2 , ?3")
    List<IndexParameter2> findAll(String name, Integer startPage, Integer pageSize);
}
