package com.huimv.production.repo;

import com.huimv.production.domain.IndexProductionGroup2;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexProductionGroup2Repository extends JpaRepository<IndexProductionGroup2, Integer>,JpaSpecificationExecutor<IndexProductionGroup2>{
	
	@Query(nativeQuery = true ,value = "select * from index_production_group2 where variety like %?1% limit ?2 , ?3")
    List<IndexProductionGroup2> findAll(String name, Integer startPage, Integer pageSize);
}
