package com.huimv.production.repo;

import com.huimv.production.domain.IndexProductionGroup2;
import com.huimv.production.domain.IndexProductionGroupEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexProductionGroupRepository extends JpaRepository<IndexProductionGroupEntity, Integer>, JpaSpecificationExecutor<IndexProductionGroupEntity> {

    @Query(nativeQuery = true ,value = "select * from index_production_group where variety like %?1% limit ?2 , ?3")
    List<IndexProductionGroupEntity> findAll(String name, Integer startPage, Integer pageSize);

}