package com.huimv.production.repo;

import com.huimv.production.domain.MChildbirthProgressEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MChildbirthProgressEntityRepo extends JpaRepository<MChildbirthProgressEntity, Integer>, JpaSpecificationExecutor<MChildbirthProgressEntity> {
    List findAllByRoomCode(String roomCode);


    @Query(nativeQuery = true ,value = "select * from m_childbirth_progress where birth_date like %?1% limit ?2 , ?3")
    List<MChildbirthProgressEntity> findAll(String name ,Integer startPage , Integer pageSize);



}