package com.huimv.production.repo;

import com.huimv.production.domain.MCleanTimes;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MCleanTimesRepository extends JpaRepository<MCleanTimes, Integer>,JpaSpecificationExecutor<MCleanTimes>{
    @Query(nativeQuery = true ,value = "select * from m_clean_times where location_id like %?1% limit ?2 , ?3")
    List<MCleanTimes> findAll(String name ,Integer startPage , Integer pageSize);
    List findAllByLocationId(Integer locationId);
}
