package com.huimv.production.repo;

import com.huimv.production.domain.MLaborRoomHeatEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MLaborRoomHeatEntityRepo extends JpaRepository<MLaborRoomHeatEntity, Integer>, JpaSpecificationExecutor<MLaborRoomHeatEntity> {

    List<MLaborRoomHeatEntity> findAllByRoomCode(String roomCode);

    @Query(nativeQuery = true ,value = "select * from m_labor_room_heat where room_code like %?1% limit ?2 , ?3")
    List<MLaborRoomHeatEntity> findAll(String name ,Integer startPage , Integer pageSize);

}