package com.huimv.production.repo;

import com.huimv.production.domain.MPigWater;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigWaterRepository extends JpaRepository<MPigWater, Integer>,JpaSpecificationExecutor<MPigWater>{
    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_pig_water where pig_code like %?1% limit ?2 , ?3")
    List<MPigWater> findAll(String name , Integer startPage , Integer pageSize);

}
