package com.huimv.production.repo;

import com.huimv.production.domain.MSaleDay;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSaleDayRepository extends JpaRepository<MSaleDay, Integer>,JpaSpecificationExecutor<MSaleDay>{

    @Query(nativeQuery = true ,value = "select * from m_sale_day where sale_date like %?1% limit ?2 , ?3")
    List<MSaleDay> findAll(String name , Integer startPage , Integer pageSize);
}
