package com.huimv.production.repo;

import com.huimv.production.domain.MSmartCount;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSmartCountRepository extends JpaRepository<MSmartCount, Integer>,JpaSpecificationExecutor<MSmartCount>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_smart_count where location like %?1% limit ?2 , ?3")
    List<MSmartCount> findAll(String name , Integer startPage , Integer pageSize);
}
