package com.huimv.production.repo;

import com.huimv.production.domain.MSmartWeight;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSmartWeightRepository extends JpaRepository<MSmartWeight, Integer>,JpaSpecificationExecutor<MSmartWeight>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_smart_weight where location_id like %?1% limit ?2 , ?3")
    List<MSmartWeight> findAll(String name , Integer startPage , Integer pageSize);
}
