package com.huimv.production.repo;

import com.huimv.production.domain.MSowArea;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowAreaRepository extends JpaRepository<MSowArea, Integer>,JpaSpecificationExecutor<MSowArea>{

    @Query(nativeQuery = true ,value = "select * from m_sow_area where location like %?1% limit ?2 , ?3")
    List<MSowArea> findAll(String name , Integer startPage , Integer pageSize);
}
