package com.huimv.production.repo;

import com.huimv.production.domain.WarningParameter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author yinhao
 * @since 2021/5/31 10:42
 */
public interface WarningParameterEntityRepo extends JpaRepository<WarningParameter, Integer>, JpaSpecificationExecutor<WarningParameter> {

    @Query(nativeQuery = true ,value = "select * from warning_parameter where parameter_name like %?1% limit ?2 , ?3")
    List<WarningParameter> findAll(String name, Integer startPage, Integer pageSize);

}