package com.huimv.production.repo;

import com.huimv.production.domain.MFeedDetailEntity;
import com.huimv.production.domain.YvfeiCount;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface YvfeiCountRepository extends JpaRepository<YvfeiCount, Integer>,JpaSpecificationExecutor<YvfeiCount>{
    @Query(nativeQuery = true ,value = "select * from yvfei_count where date like %?1% limit ?2 , ?3")
    List<YvfeiCount> findAll(String name , Integer startPage , Integer pageSize);

}
