package com.huimv.production.controller;

import com.huimv.production.domain.IndexVariety2;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexVariety2Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/indexVariety2")
public class IndexVariety2Controller {

	@Autowired
	private IndexVariety2Service service;

	@RequestMapping("/add")
	public Result add(IndexVariety2 entity){ return service.add(entity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(IndexVariety2 entity){ return service.update(entity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(){
		return service.findAll();
	}

}
