package com.huimv.production.controller;

import com.huimv.production.domain.MSowAnimalHeatEntity;
import com.huimv.production.domain.MTransferFattenEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSowAnimalHeatService;
import com.huimv.production.service.MTransferFattentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/9 0009 17:44
 **/
@RestController

@RequestMapping("/sowAnimalHeat")
public class MSowAnimalHeatController {

    @Autowired
    private MSowAnimalHeatService childcareService;

    @RequestMapping("/add")
    public Result add(MSowAnimalHeatEntity childcareEntity){
        return childcareService.add(childcareEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return childcareService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(MSowAnimalHeatEntity childcareEntity){
        return childcareService.update(childcareEntity);
    }

    @RequestMapping("/findAll")
    public Result findAll(String name ,Integer pageNum , Integer pageSize){
        return childcareService.findAll(name,pageNum,pageSize);
    }

    @RequestMapping("/findAllById")
    public Result findAllById( String locationId){
        return childcareService.findAllById(locationId);
    }
}
