package com.huimv.production.repo;

import com.huimv.production.domain.BaoyvCount;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BaoyvCountRepository extends JpaRepository<BaoyvCount, Integer>,JpaSpecificationExecutor<BaoyvCount>{

    @Query(nativeQuery = true ,value = "select * from baoyv_count where  date  like %?1% limit ?2 , ?3")
    List<BaoyvCount> findAll(String name ,Integer startPage , Integer pageSize);

}
