package com.huimv.production.repo;

import com.huimv.production.domain.IndexVariety2;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexVariety2Repository extends JpaRepository<IndexVariety2, Integer>,JpaSpecificationExecutor<IndexVariety2>{
	
	@Query(nativeQuery = true ,value = "select * from index_variety2 where variety like %?1% limit ?2 , ?3")
    List<IndexVariety2> findAll(String name, Integer startPage, Integer pageSize);
}
