package com.huimv.production.repo;

import com.huimv.production.domain.IndexVariety;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IndexVarietyRepository extends JpaRepository<IndexVariety, Integer>,JpaSpecificationExecutor<IndexVariety>{
	
	@Query(nativeQuery = true ,value = "select * from index_variety where variety like %?1% limit ?2 , ?3")
    List<IndexVariety> findAll(String name, Integer startPage, Integer pageSize);
}
