package com.huimv.production.repo;

import com.huimv.production.domain.MConceptionRatioEntity;
import com.huimv.production.domain.MLaborRoomEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MConceptionRatioEntityRepo extends JpaRepository<MConceptionRatioEntity, Integer>, JpaSpecificationExecutor<MConceptionRatioEntity> {
    @Query(nativeQuery = true ,value = "select * from m_conception_ratio where year like %?1% limit ?2 , ?3")
    List<MConceptionRatioEntity> findAll(String name , Integer startPage , Integer pageSize);
}