package com.huimv.production.repo;

import com.huimv.production.domain.MLaborRomStateEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MLaborRomStateEntityRepo extends JpaRepository<MLaborRomStateEntity, Integer>, JpaSpecificationExecutor<MLaborRomStateEntity> {
    @Query(nativeQuery = true ,value = "select * from m_labor_rom_state where room_state_name like %?1% limit ?2 , ?3")
    List<MLaborRomStateEntity> findAll(String name , Integer startPage , Integer pageSize);

}