package com.huimv.production.repo;

import com.huimv.production.domain.MPigFeed;
import com.huimv.production.domain.MSowAnimalHeatEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigFeedRepository extends JpaRepository<MPigFeed, Integer>,JpaSpecificationExecutor<MPigFeed>{
    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_pig_feed where location_id like %?1% limit ?2 , ?3")
    List<MPigFeed> findAll(String name , Integer startPage , Integer pageSize);

}
