package com.huimv.production.repo;

import com.huimv.production.domain.MPigPigpenTemperature;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPigPigpenTemperatureRepository extends JpaRepository<MPigPigpenTemperature, Integer>,JpaSpecificationExecutor<MPigPigpenTemperature>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_pig_pigpen_temperature where pig_code like %?1% limit ?2 , ?3")
    List<MPigPigpenTemperature> findAll(String name , Integer startPage , Integer pageSize);
}
