package com.huimv.production.repo;

import com.huimv.production.domain.MPurchasePlanEntity;
import com.huimv.production.domain.MSowEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MPurchasePlanEntityRepo extends JpaRepository<MPurchasePlanEntity, Integer>, JpaSpecificationExecutor<MPurchasePlanEntity> {

    List<MPurchasePlanEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_purchase_plan where location like %?1% limit ?2 , ?3")
    List<MPurchasePlanEntity> findAll(String name , Integer startPage , Integer pageSize);
}