package com.huimv.production.repo;

import com.huimv.production.domain.MSowChildbirthRecordEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowChildbirthRecordEntityRepo extends JpaRepository<MSowChildbirthRecordEntity, Integer>, JpaSpecificationExecutor<MSowChildbirthRecordEntity> {


    List findAllByLaborRoomState(Integer laborRoomState);

    @Query(nativeQuery = true ,value = "select * from m_sow_childbirth_record where room_code like %?1% limit ?2 , ?3")
    List<MSowChildbirthRecordEntity> findAll(String name ,Integer startPage , Integer pageSize);

}