package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowPigpenHumidity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowPigpenHumidityRepository extends JpaRepository<MSowPigpenHumidity, Integer>,JpaSpecificationExecutor<MSowPigpenHumidity>{

    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_sow_pigpen_humidity where sow_code like %?1% limit ?2 , ?3")
    List<MSowPigpenHumidity> findAll(String name , Integer startPage , Integer pageSize);
}
