package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MSowStateEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowStateEntityRepo extends JpaRepository<MSowStateEntity, Integer>, JpaSpecificationExecutor<MSowStateEntity> {

    @Query(nativeQuery = true ,value = "select * from m_sow_state where gravidity_birth like %?1% limit ?2 , ?3")
    List<MSowStateEntity> findAll(String name , Integer startPage , Integer pageSize);

}