package com.huimv.production.repo;

import com.huimv.production.domain.MPlanImmunityEntity;
import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MTransferChildcareEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MTransferChildcareEntityRepo extends JpaRepository<MTransferChildcareEntity, Integer>, JpaSpecificationExecutor<MTransferChildcareEntity> {

    List<MTransferChildcareEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_transfer_childcare where location like %?1% limit ?2 , ?3")
    List<MTransferChildcareEntity> findAll(String name , Integer startPage , Integer pageSize);
}