package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import com.huimv.production.domain.MTransferFattenEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MTransferFattenEntityRepo extends JpaRepository<MTransferFattenEntity, Integer>, JpaSpecificationExecutor<MTransferFattenEntity> {

    List<MTransferFattenEntity> findAllByState(int i);

    @Query(nativeQuery = true ,value = "select * from m_transfer_fatten where location like %?1% limit ?2 , ?3")
    List<MTransferFattenEntity> findAll(String name , Integer startPage , Integer pageSize);
}